docbook (4.5-9) unstable; urgency=medium

  * QA upload.

  [ Joao Eriberto Mota Filho ]
  * debian/control: bumped Standards-Version to 4.6.0.
  * debian/copyright: updated packaging copyright years.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + docbook: Drop versioned constraint on sgml-data in Depends.
    + docbook: Drop versioned constraint on docbook-xml in Breaks.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 21 Feb 2022 00:39:00 -0300

docbook (4.5-8) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 22 Aug 2021 21:51:59 -0300

docbook (4.5-7) experimental; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.1.
      - Migrated Vcs-* to Salsa.
  * debian/copyright:
      - Migrated to 1.0 format.
      - Updated all data.
  * debian/docbook.docs: renamed to docs.
  * debian/docbook.examples: renamed to examples.
    debian/examples/: renamed to examples.d.
  * debian/patches/: added a numeric prefix for all patches.
  * debian/rules:
      - Removed addon '--parallel' because it is default since DH 10.
      - Using $(DEB_VERSION) instead of dpkg-parsechangelog to determine the
        current package version.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/upstream/metadata: created.
  * debian/watch:
      - Bumped version to 4.
      - Using https instead of http.
      - Using string @ARCHIVE_EXT@.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 13 Jul 2021 16:14:56 -0300

docbook (4.5-6) unstable; urgency=medium

  * QA upload.
  * Orphan the package (Addresses: #802363)
    + Set Maintainer to qa group and discard Uploaders.
  * Mark docbook Multi-Arch: foreign.
    It is Arch:all, has no maintainer scripts, its sgml-data dependency is
    M-A:foreign already and sgml-base should become M-A:foreign. Also remove
    spurious M-A:foreign from source control section.
  * Declare compliance with policy 3.9.7:
    + Remove DM-Upload-Allowed.

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 13 Mar 2016 16:10:47 +0100

docbook (4.5-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild against debhelper (>= 9.20120528) to fix postinst that
    unconditionally overwrites files in /etc (see: #477751, closes: #675473).
    Thanks to Helmut Grohne for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 09 Jun 2012 11:47:17 +0200

docbook (4.5-5) unstable; urgency=low

  [ Daniel Leidert ]
  * catalog: Moved into debian/patches/debian_root_catalog.patch.
  * debian/compat: Raised to v7.
  * debian/control: Vcs fields transition. Added DM-Upload-Allowed.
    (Vcs-Browser, Vcs-Svn): Fixed location.
    (Standards-Version): Bumped to 3.8.3.
    (Build-Depends): Raised debhelper to v7.
    (Uploaders): Removed Adam Di Carlo, who is probably MIA (closes: #554230).
    Many thanks for your work!
    (Conflicts): Turned into Breaks.
  * debian/copyright: Point to GPL-2 license.
  * debian/docbook.docs: Added.
  * debian/rules: Rewritten for dh 7.
  * debian/patches/01_remove_entity_sets_and_dcl_from_catalogs.dpatch renamed
    to debian/patches/remove_entity_sets_and_dcl_from_catalogs.patch.
  * debian/patches/10_fix_101779_mention_artheader_to_articleinfo_change.dpatch
    renamed to
    debian/patches/fix_101779_mention_artheader_to_articleinfo_change.patch
  * debian/patches/11_fix_dbpoolx_mod_header_comment_pubid.dpatch renamed to
    debian/patches/fix_dbpoolx_mod_header_comment_pubid.patch.
  * debian/patches/12_fix_256119_and_turn_on_sgml_mode.dpatch renamed to
    debian/patches/fix_256119_and_turn_on_sgml_mode.patch.
  * debian/patches/debian_root_catalog.patch: Added.
    - Create the root catalog via patch.
  * debian/patches/series: Adjusted.

  [ Mathieu Malaterre ]
  * Add myself as uploader
  * Bump Std-Vers to 3.9.3, no changes needed
  * Add Multi-Arch: foreign. Closes: #665989
  * Switch to dpkg-source 3.0 (quilt) format
  * Switch from dpatch to quilt

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sat, 05 May 2012 15:41:23 +0200

docbook (4.5-4) unstable; urgency=low

  * debian/control: Homepage field transition.
    (Suggests): Added docbook-defguide.
  * debian/docbook.postinst: Removed. Contains only pre-etch legacy stuff.
  * debian/README.Debian: Removed or replaced references to non-existing
    packages.
  * debian/watch: Added watch file.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 26 Sep 2007 21:21:26 +0200

docbook (4.5-3) unstable; urgency=medium

  * debian/control (Maintainer, Uploaders): Set the Debian XML/SGML team as
    maintainer.
  * debian/docbook.examples: Fixed examples location: will re-add them back
    to the package.
  * debian/rules: Removed bashisms (closes: #422114). Thanks to Sebastian
    Dröge for the report.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Thu, 03 May 2007 19:46:21 +0200

docbook (4.5-2) unstable; urgency=low

  * Upload to unstable.

  [ Daniel Leidert ]
  * debian/rules (get-orig-source): Make the target compatible with the "Best
    Packaging Practices" reference.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sat, 14 Apr 2007 19:49:00 +0200

docbook (4.5-1) experimental; urgency=low

  * New upstream release DocBook SGML 4.5 added (closes: #413166).

  [ Daniel Leidert ]
  * catalog: Made latest DocBook SGML 4.5 the default (closes: #413304).
  * debian/control: Added XS-Vcs-Browser and XS-Vcs-Svn fields.
    (Build-Depends-Indep): Fixed debhelper build dependency to be listed in
    Build-Depends.
    (Build-Depends): Added dpatch.
    (Uploaders): Added the Debian XML/SGML group and myself (closes: #358522).
    (Standards-Version): Bump to latest standards version 3.7.2.
    (Description): Added newly added DocBook version.
  * debian/copyright: Updated the packaging and copyright information.
  * debian/rules: Added get-orig-source and dpatch targets. Cleaned the file a
    lot. The installation of files was moved from the external
    install_docbook.sh script to dh_install calls. The .links, .install and
    .sgmlcatalogs debhelper files are created by debian/rules itself (atm I
    don't remove them in the clean target).
    (binary-indep): Fixed the dh_installdocs call to include Adams
    README.docbook.dcl, that was not included in the package.
    (debian/docbook.install, debian/docbook.links): Made the dbgenent.mod
    files config-files.
  * debian/patches/00list: Added. Moved all existing changes to dpatch patches
    and enabled them here.
  * debian/patches/01_remove_entity_sets_and_dcl_from_catalogs.dpatch: Added.
  * debian/patches/10_fix_101779_mention_artheader_to_articleinfo_change.dpatch:
    Added.
  * debian/patches/11_fix_dbpoolx_mod_header_comment_pubid.dpatch: Added.
  * debian/patches/12_fix_256119_and_turn_on_sgml_mode.dpatch: Added.
  * debian/examples/docbk*.sgml: Added two new examples for DocBook 4.5 and
    added the missing newlines to the existing examples.
  * debian/docbook.examples: Added.
  * debian/postinst: Renamed to docbook.postinst.
  * debian/README.debian: Renamed to README.Debian.
  * debian/install_docbook.sh: Removed. See debian/rules changes.
  * debian/TODO: Removed (implemented the only item).
  * debian/watch: Removed (empty).

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sat, 10 Mar 2007 09:32:33 +0100

docbook (4.4-1) unstable; urgency=low

  * acknowledge NMU; closes: #301786
  * new upstream version; closes: #339774
  * docbook4{3,4}/docbookx.dtd: turn on SGML mode
  * docbook4{3,4}: sync with dbpoolx.mod and htmltblx.mod from
    docbook-xml; closes: #256119
  * conflict with docbook-xml prior to 4.4-5, otherwise the 4.3 and 4.4
    DTDs don't work
  * docbook4.3 catalog: don't provide "-//OASIS//DTD DocBook XML V4.3//EN"
  * add really basic docbook 4.2, 4.3, and 4.4 books to test with

 -- Adam Di Carlo <aph@debian.org>  Thu, 25 May 2006 19:09:05 -0400

docbook (4.3-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for sarge-targetted RC bugfix.
  * Drop use of symlinks for finding dangling links, as we can do the
    same using a find command; thanks to Joey Hess for the patch.
    Closes: #301786.

 -- Steve Langasek <vorlon@debian.org>  Wed,  6 Apr 2005 11:24:24 -0700

docbook (4.3-1) unstable; urgency=low

  * new upstream version; closes: #243666
  * make the usual array of minor corrections in upstream catalogs
  * minor package description changes
  * postinst legacy remove is more conditional and more robust; hopefully,
    closes: #242833
  * really don't register "-//OASIS//DTD DocBook XML V4.2//EN" in
    catalog.xml

 -- Adam Di Carlo <aph@debian.org>  Tue, 15 Jun 2004 22:15:02 -0400

docbook (4.2-3) unstable; urgency=low

  * stop providing "-//OASIS//DTD DocBook XML V4.2//EN", that is in the
    docbook-xml package
  * policy compliance updated to 3.5.8, no changes needed
  * debhelper 4 compat mode
  * use new dh_installcatalog, it simplifies our maintainer scripts
  * remove build-depends on M4, we don't need to process maintainer
    scripts anymore
  * remove suggests on sp or jade or docbook-xml, add suggests for
    docbook-dsssl and docbook-doc
  * improve the package synopsis and description, add the Homepage
  * stop using sgml-catalog-check.pl from sgml-data during build, the
    /usr/share/sgml symlinking is no longer needed (SGML Policy update
    pending)

 -- Adam Di Carlo <aph@debian.org>  Tue, 25 Feb 2003 02:18:52 -0500

docbook (4.2-2) unstable; urgency=low

  * SGML catalogs should be named 'catalog' according to policy; retain
    the 'docbook.cat' as a symlink in case anyone is using that directly

 -- Adam Di Carlo <aph@debian.org>  Mon, 20 Jan 2003 04:44:52 -0500

docbook (4.2-1) unstable; urgency=low

  * new upstream version, closes: #155105
  * latest DocBook version bumped to 4.2

 -- Adam Di Carlo <aph@debian.org>  Wed,  7 Aug 2002 01:12:49 -0400

docbook (4.1.99really4.2.cr1-2) unstable; urgency=low

  * oops, remove ISO entity sets from docbook 4.2cr1 catalog
  * minor typo in generalized.cat fixed

 -- Adam Di Carlo <aph@debian.org>  Sun, 31 Mar 2002 01:40:26 -0500

docbook (4.1.99really4.2.cr1-1) unstable; urgency=low

  * new upstream version, pre-release of docbook 4.2;
    note that docbook 4.1 is still considered the latest version and
    latest 4.x version until 4.2 is actually released
  * policy checked up to 3.5.6, no changes required
  * disable DTDDECL in generalized.cat, I think this just slipped through
  * debian/rules: some housekeeping

 -- Adam Di Carlo <aph@debian.org>  Sun, 31 Mar 2002 01:28:04 -0500

docbook (4.1-6) unstable; urgency=low

  * another cut at the package description, hopefully it satisfies the
    user; closes: #112021
  * debian/rules: installing *everything* as documentation was not my
    intention in the last release, fix that
  * require sgml-data 1.5.3 or better, which calls an element an element
    when making the creepy symlinks; closes: #51043

 -- Adam Di Carlo <aph@debian.org>  Tue,  2 Oct 2001 03:06:21 -0400

docbook (4.1-5) unstable; urgency=low

  * all docbook catalog files now have "OVERRIDE YES", which forces the
    PUBID rather than the SYSID in DTD declarations; closes: #97330
  * correct upstream 40chg.txt to notate the change from ArtHeader to
    ArticleInfo; closes: #101779
  * README.Debian rewritten; closes: #106379
  * it's apparently not nice to call dh_installdocs more than once per
    package, so stop doing that; closes#98440

 -- Adam Di Carlo <aph@debian.org>  Tue,  2 Oct 2001 01:49:30 -0400

docbook (4.1-4) unstable; urgency=low

  * debian/rules: re-work fix for files in debian not preserving execute
    bit
    closes: #90627

 -- Adam Di Carlo <aph@debian.org>  Sun,  8 Apr 2001 14:37:42 -0400

docbook (4.1-3) unstable; urgency=low

  * debian/control: build-depends-indep includes m4
  * debian/rules: cope with my local CVS not preserving executable bit,
    making the source unbuildable
    closes: #90627

 -- Adam Di Carlo <aph@debian.org>  Thu, 22 Mar 2001 02:23:56 -0500

docbook (4.1-2) unstable; urgency=low

  * disable docbook.dcl as DTDDECL, otherwise lots of otherwise valid SGML
    files will break (when using DTDDECL comprehending processors like
    OpenJade, anyhow).  For more info, see README.docbook.dcl.
  * include docbook 4.0
    closes: #68666

 -- Adam Di Carlo <aph@debian.org>  Wed, 21 Mar 2001 03:37:38 -0500

docbook (4.1-1) unstable; urgency=low

  * new maintainer, with permission from Mark Eichin
    closes: #19682,  #19683,  #36956,  #47375,  #50243,  #51032,  #68033
    closes: #87325,  #88679
  * debian/control: require new sgml-base and sgml-data; suggest
    docbook-xml; fix a grammar error in the description
  * transition to new SGML standard system, /usr/share/sgml, and delegated
    catalogs
    closes: #90034
  * rework the maintainer scripts accordingly; use m4 to dynamically set
    some variables; move the removal work from postrm to prerm; don't
    bother scrubbing legacy junk in prerm, since postinst configure
    already ran, what's the point?
  * provide new catalog entries for just referring to DocBook, generalized
    to mean the last recommended DocBook, or the latest DocBook v4, or the
    latest DocBook v3.
  * delegated catalogs have proper DTDDECLs
    closes: #63046 (again)
  * debian/rules: stop using debstd
    closes: #90122
  * already fixed in earlier versions
    closes: #90125
  * debian/control: add Build-Depends-Indep; update standards to 3.5.2
  * debian/copyright: update maintainership info and add coverage of the
    debian integration scripts

 -- Adam Di Carlo <aph@debian.org>  Mon, 19 Mar 2001 01:56:38 -0500

docbook (4.1-0.2) unstable; urgency=low

  * non-maintainer upload
  * sgml-data/sgml-catalog-check.pl location moved
    closes: #88679
  * debian/postrm: fix some of the legacy FPI removal logic
    closes: #87325
  * debian/postinst: analogous fix, and remove some scrubbing of the SGML
    catalog which really seemed overreaching (such as fudging with
    SGMLDECL, and stuff which really ought to be handled by
    install-sgmlcatalog)

 -- Adam Di Carlo <aph@debian.org>  Sat, 17 Mar 2001 16:54:59 -0500

docbook (4.1-0.1) unstable; urgency=low

  * NMU because Mark lacks time.
  * New upstream release (Closes: #68033).
  * Do not include 4.0 DTD because 4.1 has no user-level changes from
    4.0.
  * Install doc files into /usr/share/doc/ as per policy (Closes:
    #50243, #51032).
  * Uncommented DTDDECL entries from the catalog (Closes: #63046).
  * Updated download location and copyright notice.
  * Commented out obsolete line in debian/watch.

 -- Yann Dirson <dirson@debian.org>  Tue,  1 Aug 2000 01:01:59 +0200

docbook (3.1-2) unstable; urgency=low

  * debian/control: fix Maintainer realname for consistency.

 -- Mark W. Eichin <eichin@thok.org>  Wed,  3 Nov 1999 16:14:46 -0500

docbook (3.1-1) unstable; urgency=low

  * Thanks for all the work; closing the bugs for real and updating my
    email addresses. closes: #19682, #19683, #36956, #47375.

 -- Mark W. Eichin <eichin@thok.org>  Wed,  3 Nov 1999 00:43:12 -0500

docbook (3.1-0.4) unstable; urgency=low

  * NMU so it can be removed when install-sgmlcatalog isn't present.
    (Closes: #47375).

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 30 Oct 1999 14:31:46 +0200

docbook (3.1-0.3) unstable; urgency=low

  * non-maintainer release, blessed by Mark Eichin
  * at the suggestion of Norm Walsh, retain DTD and entity file name
    (closes Bug#36956) -- he also suggests that we don't split entities
    into a separate dir, which is a reasonable thought, but I leave it to
    others to file a bug if they agree with Norm.

 -- Adam Di Carlo <aph@debian.org>  Sat, 22 May 1999 16:43:06 -0400

docbook (3.1-0.2) unstable; urgency=low

  * non-maintainer release
  * docbook.cat: fix problems with some system identifiers, bugs I
    introduced
  * use script from sgml-data to create nice SGML links (completes closing
    of Bug#19682)

 -- Adam Di Carlo <aph@debian.org>  Fri, 26 Mar 1999 04:25:09 -0500

docbook (3.1-0.1) unstable; urgency=low

  * non-maintainer release
  * new upstream version (blessed by Mark Eichin)
  * deliver docbook 2.4.1, 3.0, and 3.1 DTDs (closes Bug#19683)
  * put DTDs, entities, and declarations in standard locations under
    /usr/lib/sgml; make symlinks under there too in compliance with the
    sgml-base subpolicy (closes Bug#19682)
  * debian/control: bump standards version to 2.5.0, reconcile priority to
    what it is in the archive, update description
  * debian/rules: some modularization
  * debian/copyright: updated
  * README.debian: adding some pointer on other packages and the home page

 -- Adam Di Carlo <aph@debian.org>  Fri, 26 Mar 1999 01:36:31 -0500

docbook (3.0-5) unstable; urgency=low

  * debian/rules: use install -m 0644 so text files don't get installed
    gratuitously executable (lintian).

 -- Mark Eichin <eichin@kitten.gen.ma.us>  Wed, 29 Apr 1998 05:39:56 -0400

docbook (3.0-4) unstable; urgency=low

  * docbook.cat: comment out DTDDECL to avoid warnings from jade.  Removed
    ISO entity pointers, since they are now supplied by sgml-data.

 -- Mark Eichin <eichin@kitten.gen.ma.us>  Tue,  7 Apr 1998 02:39:48 -0400

docbook (3.0-3) unstable; urgency=low

  * debian/postinst, debian/postrm: use sgml-base like jade does.
  * debian/control: depend on sgml-base now.

 -- Mark W. Eichin <eichin@kitten.gen.ma.us>  Tue,  4 Nov 1997 18:18:18 -0500

docbook (3.0-2) unstable; urgency=low

  * debian/{postinst, postrm}: change md5sum markers to make them easier
    to find later (and consistent with jade); add cleanup of older form.

 -- Mark W. Eichin <eichin@kitten.gen.ma.us>  Tue,  1 Jul 1997 01:08:31 -0400

docbook (3.0-1) unstable; urgency=low

  * Initial Release.
  * docbook.cat: point to davenport subdir.
  * rules: install everything, under binary-indep.
  * debian/{postinst, postrm}: use md5sum markers to add/remove catalog
    entries. Also nuke SGMLDECL line (by wrapping it in an sgml -- comment
    --.)

 -- Mark Eichin <eichin@kitten.gen.ma.us>  Mon, 30 Jun 1997 14:11:38 -0400
